// creator  : weidu.exe (version 23100)
// argument : DADROW03.DLG
// game		 : .
// source	 : ./DATA/DIALOG.BIF
// dialog	 : ./DIALOG.TLK
// dialogF  : (none)

BEGIN ~DADROW03~

IF ~True()~ THEN BEGIN 0 // from:
  SAY #56715 /* ~I greet you, <MALEFEMALE>.  What business have you with the master of the slave pens?~ */
  IF ~OR(2)
!IsValidForPartyDialog("Keldorn")
!Global("KeldornOutrage","GLOBAL",0)~ THEN REPLY #56716 /* ~I don't know... who is the master of the slave pens?~ */ GOTO 1
  IF ~OR(2)
!IsValidForPartyDialog("Keldorn")
!Global("KeldornOutrage","GLOBAL",0)~ THEN REPLY #56717 /* ~Who are these slaves?~ */ GOTO 4
  IF ~Global("MatronJob","GLOBAL",0)
OR(2)
!IsValidForPartyDialog("Keldorn")
!Global("KeldornOutrage","GLOBAL",0)~ THEN REPLY #56718 /* ~How are these slaves purchased?~ */ GOTO 7
  IF ~GlobalGT("MatronJob","GLOBAL",0)
OR(2)
!IsValidForPartyDialog("Keldorn")
!Global("KeldornOutrage","GLOBAL",0)~ THEN REPLY #56719 /* ~How are these slaves purchased?~ */ GOTO 9
  IF ~OR(2)
!IsValidForPartyDialog("Keldorn")
!Global("KeldornOutrage","GLOBAL",0)~ THEN REPLY #56720 /* ~There are slaves here?!  This is an outrage!!~ */ GOTO 10
  IF ~OR(2)
!IsValidForPartyDialog("Keldorn")
!Global("KeldornOutrage","GLOBAL",0)~ THEN REPLY #56737 /* ~No, I don't.~ */ GOTO 11
  IF ~IsValidForPartyDialog("Keldorn")
Global("KeldornOutrage","GLOBAL",0)~ THEN EXTERN ~KELDORJ~ 236
END

IF ~~ THEN BEGIN 1 // from: 8.0 6.0 0.0
  SAY #56721 /* ~That would be me, foolish one.  I am the only who knows the keys for releasing the slaves from their pens, magical as they are.~ */
  IF ~~ THEN GOTO 2
END

IF ~~ THEN BEGIN 2 // from: 1.0
  SAY #56722 /* ~The mages of Sorcere crafted the cages for us to prevent Houses from getting more slaves than entitled. And they can be seen by my customers, as well.~ */
  IF ~~ THEN GOTO 3
END

IF ~~ THEN BEGIN 3 // from: 20.0 2.0
  SAY #56723 /* ~Have you actual business with me, <MALEFEMALE>, or do you simply enjoy the fetid aroma of penned surfacers?  I am late watering the dogs and you are keeping me from it.~ */
  IF ~~ THEN REPLY #56724 /* ~Who are these slaves?~ */ GOTO 4
  IF ~Global("MatronJob","GLOBAL",0)~ THEN REPLY #56725 /* ~How are these slaves purchased?~ */ GOTO 7
  IF ~GlobalGT("MatronJob","GLOBAL",0)~ THEN REPLY #56726 /* ~How are these slaves purchased?~ */ GOTO 9
  IF ~~ THEN REPLY #56727 /* ~Watering the...?  This is an outrage, the way you treat them!~ */ GOTO 10
  IF ~~ THEN REPLY #56738 /* ~Then I shall leave you be.~ */ GOTO 11
END

IF ~~ THEN BEGIN 4 // from: 8.2 3.0 0.1
  SAY #56728 /* ~Pfeh.  Humans, mostly.  Surfacers from a recent raid by the young.  All of the passable ones have already been purchased or selected by the Handmaidens.~ */
  IF ~~ THEN GOTO 5
END

IF ~~ THEN BEGIN 5 // from: 4.0
  SAY #56729 /* ~I have little idea what is to be done with these ones. Humans make poor servants, and they are as blind as rothe. These ones are not even of use in the fighting pits.~ */
  IF ~~ THEN GOTO 6
END

IF ~~ THEN BEGIN 6 // from: 5.0
  SAY #56730 /* ~I suppose eventually someone will purchase them and donate them to the temple to be fed to the spiders, for Lolth's favor.~ */
  IF ~~ THEN REPLY #56731 /* ~Who do I talk to who's in charge around here?~ */ GOTO 1
  IF ~Global("MatronJob","GLOBAL",0)~ THEN REPLY #56732 /* ~How are these slaves purchased?~ */ GOTO 7
  IF ~GlobalGT("MatronJob","GLOBAL",0)~ THEN REPLY #56733 /* ~How are these slaves purchased?~ */ GOTO 9
  IF ~~ THEN REPLY #56734 /* ~Feed them to the spiders?!  That is horrifying!!~ */ GOTO 10
  IF ~~ THEN REPLY #56739 /* ~I'll be going.~ */ GOTO 11
END

IF ~~ THEN BEGIN 7 // from: 6.1 3.1 0.2
  SAY #56735 /* ~These slaves are available for purchase by noble Houses or by Handmaidens. All lesser creatures exist to serve the greater glory of the Spider Queen.~ */
  IF ~~ THEN GOTO 8
END

IF ~~ THEN BEGIN 8 // from: 7.0
  SAY #56736 /* ~Why?  Are you thinking that you require slaves for yourself?  You are associated with no noble House that I know of.  Return if a Matron Mother sends you.~ */
  IF ~~ THEN REPLY #56740 /* ~Maybe I should speak to someone in charge, here, then.~ */ GOTO 1
  IF ~GlobalGT("PhaereJob","GLOBAL",0)~ THEN REPLY #56741 /* ~I am associated with House Despana, fool!  I demand that you allow me to purchase these slaves!~ */ GOTO 12
  IF ~~ THEN REPLY #56742 /* ~Who are these slaves, anyway?~ */ GOTO 4
  IF ~~ THEN REPLY #56743 /* ~Then I shall be on my way.~ */ GOTO 11
END

IF ~~ THEN BEGIN 9 // from: 6.2 3.2 0.3
  SAY #56744 /* ~They are sold to noble Houses or to Handmaidens. You... you are favored by Matron Ardulace, yes? Of House Despana? Are you here to buy these slaves?~ */
  IF ~~ THEN REPLY #56745 /* ~Yes, I am.  How much are they?~ */ GOTO 14
  IF ~~ THEN REPLY #56746 /* ~If I bought them, could I set them free?~ */ GOTO 17
  IF ~~ THEN REPLY #56747 /* ~If I bought them, I wouldn't have much use for them, I don't think.~ */ GOTO 18
  IF ~~ THEN REPLY #56748 /* ~No, I'm not.~ */ GOTO 11
END

IF ~~ THEN BEGIN 10 // from: 6.3 3.3 0.4
  SAY #56749 /* ~Eh?  What is so outrageous about it?  These are lesser beings, nothing more.  Rothe for the slaughter, if we so desire.  What would make you think otherwise?~ */
  IF ~~ THEN REPLY #56751 /* ~Because I am not drow, fool, and I will have your head!!~ */ GOTO 19
  IF ~~ THEN REPLY #56752 /* ~Nothing at all.  You are absolutely right.~ */ GOTO 20
END

IF ~~ THEN BEGIN 11 // from: 18.2 17.3 9.3 8.3 6.4 3.4 0.5
  SAY #56753 /* ~Begone, then, for I have much to keep me occupied, here.~ */
  IF ~~ THEN EXIT
END

IF ~~ THEN BEGIN 12 // from: 8.1
  SAY #56754 /* ~You do not fool me, <MALEFEMALE>.  I know the Houses well, and you are in no Matron's favor... you are only recently arrived to Ust Natha, as well.~ */
  IF ~~ THEN GOTO 13
END

IF ~~ THEN BEGIN 13 // from: 12.0
  SAY #56755 /* ~I serve only those who serve the Houses, or those the Matrons tell me to.  I do not know what you are up to, <MALEFEMALE>, but you have no business here.  Begone with you.~ */
  IF ~~ THEN EXIT
END

IF ~~ THEN BEGIN 14 // from: 18.0 9.0
  SAY #56757 /* ~Well, it depends on what House Despana needs them for. If you need them to work outside of the city, you might want them armed, but it costs a little extra.~ */
  IF ~~ THEN GOTO 15
END

IF ~~ THEN BEGIN 15 // from: 14.0
  SAY #56758 /* ~But if you simply need them as servants or as offerings to the Spider Queen's temple, I needn't equip them at all.~ */
  IF ~~ THEN GOTO 16
END

IF ~~ THEN BEGIN 16 // from: 29.0 15.0
  SAY #56759 /* ~Seeing as they're humans, I will give you a good price, <MALEFEMALE>.  Equipped and armed, you can have them for two thousand gold.  As they are... ehhhh... half of that.~ */
  IF ~PartyGoldGT(1999)~ THEN REPLY #56761 /* ~I'll buy them all... equipped and armed.~ */ DO ~TakePartyGold(2000)~ GOTO 21
  IF ~PartyGoldGT(999)~ THEN REPLY #56763 /* ~I'll buy them all, but you needn't equip them.~ */ DO ~TakePartyGold(1000)~ GOTO 23
  IF ~PartyGoldLT(1000)~ THEN REPLY #56764 /* ~I don't have that much coin!~ */ GOTO 25
  IF ~~ THEN REPLY #56766 /* ~Is there no way to lower the cost?~ */ GOTO 26
  IF ~~ THEN REPLY #56765 /* ~I'll consider it and return later.~ */ GOTO 27
END

IF ~~ THEN BEGIN 17 // from: 18.1 9.1
  SAY #56767 /* ~Free?  Why would you want to do that?  Are you so weak and frail as to care for these slugs?  Why would you even say such a thing?!~ */
  IF ~~ THEN REPLY #56768 /* ~Never mind.  Forget I said anything.  How much are they?~ */ GOTO 28
  IF ~~ THEN REPLY #56769 /* ~I want to set them free to watch them be devoured in the Underdark, fool.  Or perhaps I will hunt them, I haven't decided.~ */ GOTO 29
  IF ~~ THEN REPLY #56770 /* ~I say it because I am not drow, and I will have your head!!~ */ GOTO 19
  IF ~~ THEN REPLY #56771 /* ~Never mind.  I'll be on my way.~ */ GOTO 11
END

IF ~~ THEN BEGIN 18 // from: 9.2
  SAY #56772 /* ~Then use them for sport outside of the city or send them to the temple as an offering.  The Dark Mother's spiders are always hungry.~ */
  IF ~~ THEN REPLY #56773 /* ~I see.  How much are they?~ */ GOTO 14
  IF ~~ THEN REPLY #56774 /* ~Could I set them free, if I wished?~ */ GOTO 17
  IF ~~ THEN REPLY #56775 /* ~No, I'm not interested in buying them.~ */ GOTO 11
END

IF ~~ THEN BEGIN 19 // from: 17.2 10.0
  SAY #56776 /* ~What?!  Intruders?!  Intruders, here?!  GUARDS!  GUARDS!!~ */
  IF ~~ THEN DO ~SetGlobal("DrowCityHostile","GLOBAL",1)
Enemy()~ EXIT
END

IF ~~ THEN BEGIN 20 // from: 10.1
  SAY #56777 /* ~Ehhhh, as you say.  You are a strange one, for a drow.  They must breed them very weak in Ched Nasad... no wonder you left that place.~ */
  IF ~~ THEN GOTO 3
END

IF ~~ THEN BEGIN 21 // from: 26.0 16.0
  SAY #56778 /* ~Excellent. You are doing me a favor, taking these filthy humans. I'll have to go and get their equipment, but I shall bring them out of their cages first.~ */
  IF ~~ THEN GOTO 22
END

IF ~~ THEN BEGIN 22 // from: 21.0
  SAY #56779 /* ~While I am gone, you may wish to leave your instructions with them.  I'll have them armed and sent where you wish.  Lolth's favor on you, <MALEFEMALE>.~ */
  IF ~~ THEN DO ~SetGlobal("DrowSlavesFree","GLOBAL",1)~ EXIT
END

IF ~~ THEN BEGIN 23 // from: 26.1 16.1
  SAY #56780 /* ~Excellent.  You are doing me a favor, taking these filthy humans off of my hands.  This leaves me free until the next raiding party brings in more.~ */
  IF ~~ THEN GOTO 24
END

IF ~~ THEN BEGIN 24 // from: 23.0
  SAY #56781 /* ~I will bring them out of their cages for you before I go.  Then you may deal with them as you desire.  Lolth's favor upon you, <MALEFEMALE>.~ */
  IF ~~ THEN DO ~SetGlobal("DrowSlavesFree","GLOBAL",2)~ EXIT
END

IF ~~ THEN BEGIN 25 // from: 26.2 16.2
  SAY #56782 /* ~Then you shall not have them.  Lolth does not reward those who are not wealthy, fool.  Begone and return when your House has more gold to its name.~ */
  IF ~~ THEN EXIT
END

IF ~~ THEN BEGIN 26 // from: 16.3
  SAY #56783 /* ~It is a low cost as it is, but these *are* only humans, I suppose. (sigh) Have them equipped then for 1,500 or with nothing for 500, if your House is so destitute.~ */
  IF ~PartyGoldGT(1499)~ THEN REPLY #56784 /* ~Fine, then.  I'll buy them all... equipped and armed.~ */ DO ~TakePartyGold(1500)~ GOTO 21
  IF ~PartyGoldGT(499)~ THEN REPLY #56785 /* ~Fine, then.  I'll buy them all, but you needn't equip them.~ */ DO ~TakePartyGold(500)~ GOTO 23
  IF ~PartyGoldLT(500)~ THEN REPLY #56786 /* ~I don't have that much coin!~ */ GOTO 25
  IF ~~ THEN REPLY #56787 /* ~I'll consider it and return later.~ */ GOTO 27
END

IF ~~ THEN BEGIN 27 // from: 26.3 16.4
  SAY #56789 /* ~You'll do as you wish, no doubt.  These base vermin are not going anywhere, I suspect.~ */
  IF ~~ THEN EXIT
END

IF ~~ THEN BEGIN 28 // from: 17.0
  SAY #56790 /* ~No, I'll sell you nothing.  For all I know, you could be a devotee of that harlot, Eilistraee, and I'll not be punished by the Handmaidens by selling you anything.  Away with you!~ */
  IF ~~ THEN EXIT
END

IF ~~ THEN BEGIN 29 // from: 17.1
  SAY #56805 /* ~Ah.  Sport, I see.  The Matron must favor you highly to reward you so.  Very well... my misunderstanding.~ */
  IF ~~ THEN GOTO 16
END
